이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: CheckClusterResourceSizeForDataOpsServiceCreate
- 2: CheckClusterResourceSizeForDataOpsServiceUpdate
- 3: CheckDataOpsNameDuplication
- 4: CheckDataOpsServiceNameDuplication
- 5: CreateDataOps
- 6: CreateDataOpsService
- 7: DeleteDataOps
- 8: DeleteDataOpsService
- 9: ListDataOps
- 10: ListDataOpsImageVersions
- 11: ListDataOpsIngressControllers
- 12: ListDataOpsService
- 13: ShowDataOps
- 14: ShowDataOpsService
- 15: ShowDataOpsServiceSubVersion
- 16: UpdateDataOps
- 17: UpdateDataOpsService
1 - CheckClusterResourceSizeForDataOpsServiceCreate
1.1 - 1.1
post /v1/data-ops-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Creation.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.2 - 1.0
post /v1/data-ops-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Creation.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2 - CheckClusterResourceSizeForDataOpsServiceUpdate
2.1 - 1.1
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2.2 - 1.0
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
3 - CheckDataOpsNameDuplication
3.1 - 1.1
get /v1/data-ops/{data_ops_name}/check-duplication
Description
check duplication controller
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_name required | data ops name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
3.2 - 1.0
get /v1/data-ops/{data_ops_name}/check-duplication
Description
check duplication controller
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_name required | data ops name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
4 - CheckDataOpsServiceNameDuplication
4.1 - 1.1
get /v1/data-ops-services/{data_ops_service_name}/check-duplication
Description
check duplication controller
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_name required | data ops service name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
4.2 - 1.0
get /v1/data-ops-services/{data_ops_service_name}/check-duplication
Description
check duplication controller
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_name required | data ops service name Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
5 - CreateDataOps
5.1 - 1.1
post /v1/data-ops
Description
create dataops
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
5.2 - 1.0
post /v1/data-ops
Description
create dataops
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
6 - CreateDataOpsService
6.1 - 1.1
post /v1/data-ops-services
Description
create dataops service
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsServiceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_ops_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
],
"worker_type": ""
}
Example HTTP response
Response 202
6.2 - 1.0
post /v1/data-ops-services
Description
create dataops service
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsServiceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_ops_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
],
"worker_type": ""
}
Example HTTP response
Response 202
7 - DeleteDataOps
7.1 - 1.1
delete /v1/data-ops/{data_ops_id}
Description
delete dataops v1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 202
7.2 - 1.0
delete /v1/data-ops/{data_ops_id}
Description
delete dataops v1
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 202
8 - DeleteDataOpsService
8.1 - 1.1
delete /v1/data-ops-services/{data_ops_service_id}
Description
delete data ops service
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 202
8.2 - 1.0
delete /v1/data-ops-services/{data_ops_service_id}
Description
delete data ops service
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 202
9 - ListDataOps
9.1 - 1.1
get /v1/data-ops
Description
{aianalytics.GetDataOpsListConsole.notes} v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | cluster_name optional | cluster_name Example : | string | None |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example : | string | None |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | cluster_id optional | cluster_id Example : | string | None |
| query | data_ops_name optional | data_ops_name Example : | string | None |
| query | region optional | region Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataOpsConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:30.704Z",
"data_ops_id": "",
"data_ops_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:30.710Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
9.2 - 1.0
get /v1/data-ops
Description
{aianalytics.GetDataOpsListConsole.notes}
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | cluster_name optional | cluster_name Example : | string | None |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example : | string | None |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | cluster_id optional | cluster_id Example : | string | None |
| query | data_ops_name optional | data_ops_name Example : | string | None |
| query | region optional | region Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataOpsConsoleResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:29.993Z",
"data_ops_id": "",
"data_ops_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:30.000Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
10 - ListDataOpsImageVersions
10.1 - 1.1
get /v1/data-ops/image-versions
Description
get dataops image version v1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/image-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
10.2 - 1.0
get /v1/data-ops/image-versions
Description
get dataops image version v1
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageVersionsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/image-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"image_attr": {
"k8s.version": "",
"os.type": ""
},
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
11 - ListDataOpsIngressControllers
11.1 - 1.1
get /v1/data-ops/clusters/{cluster_id}/ingress-controllers
Description
get ingress controller list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/clusters/{cluster_id}/ingress-controllers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
11.2 - 1.0
get /v1/data-ops/clusters/{cluster_id}/ingress-controllers
Description
get ingress controller list
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/clusters/{cluster_id}/ingress-controllers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
12 - ListDataOpsService
12.1 - 1.1
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example : | string | None |
| query | data_ops_name optional | data_ops_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataOpsServicesConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:30.741Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:30.747Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
12.2 - 1.0
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example : | string | None |
| query | data_ops_name optional | data_ops_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataOpsServicesConsoleResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:30.089Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:30.095Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
13 - ShowDataOps
13.1 - 1.1
get /v1/data-ops/{data_ops_id}
Description
get dataops detail v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.871Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:30.927Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
13.2 - 1.0
get /v1/data-ops/{data_ops_id}
Description
get dataops detail
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.482Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:30.537Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
14 - ShowDataOpsService
14.1 - 1.1
get /v1/data-ops-services/{data_ops_service_id}
Description
get data ops service v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.772Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:30.828Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
14.2 - 1.0
get /v1/data-ops-services/{data_ops_service_id}
Description
get data ops service
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.212Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:30.267Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
15 - ShowDataOpsServiceSubVersion
15.1 - 1.1
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}
15.2 - 1.0
get /v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Description
get data ops sub version
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataOpsServiceImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/data-ops/{data_ops_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Example HTTP response
Response 200
{
"data_ops_service_count": "",
"versions": {
"scheduler": "",
"webserver": "",
"worker": ""
}
}
16 - UpdateDataOps
16.1 - 1.1
put /v1/data-ops/{data_ops_id}
Description
update dataops v1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataOpsUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.617Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:30.665Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
16.2 - 1.0
put /v1/data-ops/{data_ops_id}
Description
update dataops v1
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_id required | data ops ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataOpsUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops/{data_ops_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.617Z",
"data_ops_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:30.665Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
17 - UpdateDataOpsService
17.1 - 1.1
put /v1/data-ops-services/{data_ops_service_id}
Description
update data ops service
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataOpsServiceUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"worker_type": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.347Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:30.395Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
17.2 - 1.0
put /v1/data-ops-services/{data_ops_service_id}
Description
update data ops service
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataOpsServiceUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
},
"worker_type": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:30.347Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:30.395Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}